org.appng.core.xml.repository

## Class Package

- java.lang.Object
- - org.appng.core.xml.repository.Package

-     public class Package
      extends Object

  Java class for package complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="package">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="display-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="long-description" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="version" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="latest-release" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="latest-snapshot" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="type" type="{http://www.appng.org/schema/repository}packageType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `displayName`
    `protected String` | `latestRelease`
    `protected String` | `latestSnapshot`
    `protected String` | `longDescription`
    `protected String` | `name`
    `protected PackageType` | `type`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Package()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Display name of the current release or snapshot.
    `String` | `getLatestRelease()` Reference to the latest release version of this Package.
    `String` | `getLatestSnapshot()` Reference to the latest snapshot version of this Package.
    `String` | `getLongDescription()` Description of the current release or snapshot.
    `String` | `getName()` Package name.
    `PackageType` | `getType()` Gets the value of the type property.
    `String` | `getVersion()` The version of this package.
    `void` | `setDisplayName(String value)` Sets the value of the displayName property.
    `void` | `setLatestRelease(String value)` Sets the value of the latestRelease property.
    `void` | `setLatestSnapshot(String value)` Sets the value of the latestSnapshot property.
    `void` | `setLongDescription(String value)` Sets the value of the longDescription property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setType(PackageType value)` Sets the value of the type property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### displayName

          protected String displayName

    - #### longDescription

          protected String longDescription

    - #### version

          protected String version

    - #### latestRelease

          protected String latestRelease

    - #### latestSnapshot

          protected String latestSnapshot

    - #### type

          protected PackageType type

  - ### Constructor Detail

    - #### Package

          public Package()

  - ### Method Detail

    - #### getName

          public String getName()

      Package name. Equals the file name prefix.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDisplayName

          public String getDisplayName()

      Display name of the current release or snapshot.
      Returns:
        possible object is `String`

    - #### setDisplayName

          public void setDisplayName(String value)

      Sets the value of the displayName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLongDescription

          public String getLongDescription()

      Description of the current release or snapshot.
      Returns:
        possible object is `String`

    - #### setLongDescription

          public void setLongDescription(String value)

      Sets the value of the longDescription property.
      Parameters:
        `value` - allowed object is `String`

    - #### getVersion

          public String getVersion()

      The version of this package.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLatestRelease

          public String getLatestRelease()

      Reference to the latest release version of this Package.
      Returns:
        possible object is `String`

    - #### setLatestRelease

          public void setLatestRelease(String value)

      Sets the value of the latestRelease property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLatestSnapshot

          public String getLatestSnapshot()

      Reference to the latest snapshot version of this Package.
      Returns:
        possible object is `String`

    - #### setLatestSnapshot

          public void setLatestSnapshot(String value)

      Sets the value of the latestSnapshot property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public PackageType getType()

      Gets the value of the type property.
      Returns:
        possible object is `PackageType`

    - #### setType

          public void setType(PackageType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `PackageType`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.